## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _without_tests 1
%global srcname  subprocess-tee
%global slugname subprocess_tee
%global forgeurl https://github.com/pycontribs/subprocess-tee

%global common_description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.
}

%bcond_without tests

Name:           python-%{srcname}
Version:        0.4.1
%forgemeta
Release:        %autorelease
Summary:        A subprocess.run that works like tee, being able to display output in real time while still capturing it
URL:            %{forgeurl}
Source:         %{pypi_source}
Patch:          0001-Remove-unnecessary-test-deps.patch
License:        MIT
BuildArch:      noarch

BuildRequires: python3-devel

%description %{common_description}

%package -n python3-%{srcname}
Summary: %summary

%description -n python3-%{srcname} %{common_description}

%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{slugname}

%if %{with tests}
%check
%pytest test -k "not test_molecule"
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.4.1-5
- Bootstrap for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 17 2022 Maxwell G <gotmax@e.email> - 0.4.1-3
- Add README to package

* Sat Dec 17 2022 Maxwell G <gotmax@e.email> - 0.4.1-2
- Rebase test deps patch

* Sat Dec 17 2022 Maxwell G <gotmax@e.email> - 0.4.1-1
- Update to 0.4.1. Fixes rhbz#2154521.

* Fri Nov 25 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.4.0-1
- update to version 0.4.0 (#2148311)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.3.5-4
- clean up and modernization of the spec file

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.3.5-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 chedi <chedi.toueiti@gmail.com> - 0.3.5-1
- updating to version 0.3.5 (#2003693)

* Wed Sep 01 2021 chedi <chedi.toueiti@gmail.com> - 0.3.2-2
- RPMAUTOSPEC: unresolvable merge
